# frozen_string_literal: true

module VG
  module SO
    module GenerateSlugFromModuleName

      def self.call(module_name)
        GetModuleNameWithoutNamespace.call(module_name)
          .gsub(/([A-Z]+)([A-Z][a-z])/, '\1_\2')
          .gsub(/([a-z\d])([A-Z])/, '\1_\2')
          .downcase.to_sym
      end

    end # ... GenerateSlugFromModuleName
  end # ... SO
end # ... VG
