# frozen_string_literal: true

module VG
  module SO
    module InjectRegistrationMethods

      def self.call(base)
        base.include(ServiceObjectModuleInheritance)
        base.include(ServiceObjectRegistrationMethods)
      end

      def self.included(_base)
        raise "Do not include, use #call instead"
      end

    end # ... InjectRegistrationMethods
  end # ... SO
end # ... VG
