# frozen_string_literal: true

module VG
  module SO
    module GenerateCamelizedName

      def self.call(string)
        string.to_s.gsub(/(?:_|(^))([a-z\d]*)/) { "#{$1}#{$2.capitalize}" }
      end

    end # ... GenerateCamelizedName
  end # ... SO
end # ... VG
